=== debian/changelog ===
argh (1.3.1+ds-3) unstable; urgency=medium

  [ Steffen Moeller ]
  * Team upload.
  * Fix watchfile to detect new versions on github (routine-update)

  [ Andreas Tille ]
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 09 Sep 2021 14:46:33 +0200

argh (1.3.1+ds-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Fri, 23 Oct 2020 15:18:14 +0200

argh (1.3.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #970452)

 -- Shayan Doust <hello@shayandoust.me>  Mon, 21 Sep 2020 11:56:56 +0000
