=== debian/control ===
Source: argh
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: libdevel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               cmake,
               doctest-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/argh
Vcs-Git: https://salsa.debian.org/med-team/argh.git
Homepage: https://github.com/adishavit/argh
Rules-Requires-Root: no

Package: libargh-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: C++ header-only command line processing library
 So many different command line processing libraries out there and none
 of them just work! Some bring their whole extended family of related and
 unrelated external dependencies (yes, I'm looking at you Boost). Some
 require quirky syntax and/or very verbose setups that sacrifice
 simplicity for the generation of a cute usage message and validation.
 Many come to dominate your main() file and yet others do not build on
 multiple platforms - for some even their own tests and trivial usage
 cause crashes on some systems. Argh!
 .
 If you're writing a highly-sophisticated command line tool, then
 Boost.Program_options and its kind might give you many advanced options.
 However, if you need to get up and running quickly, effectively and with
 minimal fuss, give the single header-file argh a try.
