=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%, \
	repacksuffix=+ds, \
	repack, compression=xz, \
        dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
https://github.com/adishavit/argh/releases .*/v?@ANY_VERSION@\.tar\.gz
