## argh 1.3.2%2Bds

=== debian/changelog ===
argh (1.3.2+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix watch file
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Sun, 27 Nov 2022 06:41:02 +0100

argh (1.3.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Refresh no_install_cmake_files.patch.

 -- Étienne Mollier <emollier@debian.org>  Sun, 15 May 2022 13:48:58 +0200
