=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                doctest-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/argh
 Vcs-Git: https://salsa.debian.org/med-team/argh.git
 Homepage: https://github.com/adishavit/argh
