=== debian/changelog ===
argh (1.3.2+ds-3) unstable; urgency=medium

  * Team upload.
  * Fix build witg CMake 4
    Closes: #1112707
  * d/watch: Version: 5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 03 Oct 2025 21:40:06 +0200
