=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: argh
+Standards-Version: 4.7.2
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Shayan Doust <hello@shayandoust.me>
+Uploaders:
+ Shayan Doust <hello@shayandoust.me>,
 Section: libdevel
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               cmake,
-               doctest-dev
-Standards-Version: 4.6.1
+Build-Depends:
+ debhelper-compat (= 13),
+ cmake,
+ doctest-dev,
 Vcs-Browser: https://salsa.debian.org/med-team/argh
 Vcs-Git: https://salsa.debian.org/med-team/argh.git
 Homepage: https://github.com/adishavit/argh
@@ -15,7 +17,8 @@
 Package: libargh-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
+Depends:
+ ${misc:Depends},
 Description: C++ header-only command line processing library
  So many different command line processing libraries out there and none
  of them just work! Some bring their whole extended family of related and
