=== debian/watch ===
Version: 5

Template: Github
Owner: adishavit
Project: @PACKAGE@
Repack-Suffix: +ds
Dversion-Mangle: auto
